Skip to content

Create roles in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Create roles in batches, you can choose permission grouping, role description, etc.

Method name

ManagementClient.create_roles_batch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a RoleListItem[]Yes-Role list Array length limit: 50.[{"code":"my-role-code","namespace":"default","description":"this is description"}]

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

RoleListItem

nametypeIs it required?DescriptionSample value
codestringyesUnique identifier of the role in the permission groupmy-role-code
namestringnoRole name in the permission groupmy-role-name
descriptionstringnoRole descriptionthis is a description about the role
namespacestringnoThe code of the permission group (permission space). If it is not passed, the default permission group will be obtained.default

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.